メインコンテンツへスキップ
PATCH
/
media-bridge
/
v1
/
{appId}
/
settings
/
event-visibility
Create or update event visibility settings
curl --request PATCH \
  --url https://api.hubapi.com/media-bridge/v1/{appId}/settings/event-visibility \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "updatedAt": 123,
  "showInReporting": true,
  "showInTimeline": true,
  "showInWorkflows": true
}
'
import requests

url = "https://api.hubapi.com/media-bridge/v1/{appId}/settings/event-visibility"

payload = {
"updatedAt": 123,
"showInReporting": True,
"showInTimeline": True,
"showInWorkflows": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
updatedAt: 123,
showInReporting: true,
showInTimeline: true,
showInWorkflows: true
})
};

fetch('https://api.hubapi.com/media-bridge/v1/{appId}/settings/event-visibility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "updatedAt": 123,
  "showInReporting": true,
  "showInTimeline": true,
  "showInWorkflows": true
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

appId
integer<int32>
必須

ボディ

application/json
eventType
enum<string>
必須
利用可能なオプション:
ALL,
ATTENTION_SPAN,
MEDIA_PLAYS,
MEDIA_PLAYS_PERCENT
updatedAt
integer<int64>
必須
showInReporting
boolean
showInTimeline
boolean
showInWorkflows
boolean

レスポンス

successful operation

eventType
enum<string>
必須
利用可能なオプション:
ALL,
ATTENTION_SPAN,
MEDIA_PLAYS,
MEDIA_PLAYS_PERCENT
updatedAt
integer<int64>
必須
showInReporting
boolean
showInTimeline
boolean
showInWorkflows
boolean
最終更新日 2026年4月13日